#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <sys/ioctl.h>
#include <stdio.h>
#include <dac.h>
#include <getopt.h>

int quiet=0,verbose=0;

void do_help(int i)
{
	fputs("this is the non-existant help message\n",stderr);
	exit(i);
}

int main(int argc,char *argv[])
{
	dac_devconfig it;
	int fd;
	int port,irq,c;
	char *fn,*type;
	
	while(1){
		c=getopt(argc,argv,"vVq");
		if(c==-1)break;
		switch(c){
		case 'v':
			verbose=1;
			break;
		case 'V':
			fputs("dac_config version 0.2\n",stderr);
			exit(0);
			break;
		case 'q':
			quiet=1;
			break;
		default:
			do_help(1);
		}
	}
	port=-1;
	irq=-1;
	if(optind>=argc)do_help(0);
	fn=argv[optind];
	optind++;
	if(optind>=argc){
		puts("Info not available");
		exit(0);
	}
	type=argv[optind];
	optind++;
	while(optind<argc){
		if(!strcmp(argv[optind],"port")){
			optind++;
			if(optind>=argc)do_help(1);
			if(!sscanf(argv[optind],"%i",&port)){
				fprintf(stderr,"Can't read port \"%s\"\n",
					argv[optind]);
				do_help(1);
			}
			optind++;
		}else if(!strcmp(argv[optind],"irq")){
			optind++;
			if(optind>=argc){
				fputs("Missing irq number\n",stderr);
				do_help(1);
			}
			if(!strcmp(argv[optind],"probe")){
				irq=-1;
			}else if(!sscanf(argv[optind],"%i",&irq)){
				fprintf(stderr,"Can't read irq \"%s\"\n",
					argv[optind]);
				do_help(1);
			}
			optind++;
		}else if(!strcmp(argv[optind],"no_irq")){
			optind++;
			irq=0;
		}
	}

	strcpy(it.name,type); /* fix: strncpy */
	it.iobase=port;
	it.irq=irq;

	fd=open(fn,O_RDWR);
	if(fd<0){
		fprintf(stderr,"Can't open device %s\n",fn);
		exit(1);
	}
	/* add: sanity check for device */
	
if(verbose){
	printf("configuring type=%s port=0x%04x irq=%d\n",
		it.name,it.iobase,it.irq);
}
	if(ioctl(fd,DAC_CONFIG,&it)<0){
		fputs("Configure failed!\n",stderr);
		exit(1);
	}
	exit(0);
}

