#include <stdio.h>
#define __KERNEL__
#include <dac.h>
#include <daclib.h>
#undef __KERNEL__
#include <fcntl.h>
#include <unistd.h>
#include <sys/ioctl.h>
#include <errno.h>

void help(void)
{
	fprintf(stderr,"info <file>\n");
	exit(0);
}

void main(int argc,char *argv[])
{
	int i;
	int it;
	dac_device dev;
	dac_chinfo ch;
	
	if(argc!=2)help();

	it=open(argv[1],O_RDWR);
	if(!it){
		fprintf(stderr,"cannot open %s\n",argv[1]);
		exit(0);
	}

	dac_getinfo(it,&dev);
	
	printf("(use_count): %d\n",dev.use_count);
	printf("(minor): %d\n",dev.minor);
	printf("iobase: 0x%04x\n",dev.iobase);
	printf("iosize: 0x%04x\n",dev.iosize);
	printf("irq: %d\n",dev.irq);
	printf("no. channels: %d\n",dev.chan);
	
	for(i=0;i<dev.chan;i++){
		dac_getchinfo(it,i,&ch);
		
		printf("\nChannel %d:\n",i);
		printf("flags: 0x%04x %s %s\n",ch.flags,
			(ch.flags&DAC_ANALOG)?"analog":"digital",
			(ch.flags&DAC_INPUT)?"input":"output"
		);
		printf("bits: %d\n",ch.bits);
		printf("zero: %f\n",ch.zero);
		printf("delta: %f\n",ch.delta);
		printf("last data: %d\n",ch.last.data);
		printf("last time: %d.%06d\n",ch.last.time.tv_sec,
			ch.last.time.tv_usec);
	}
}

