
#ifndef _DACLIB_H
#define _DACLIB_H

#include <dac.h>
#include <sys/ioctl.h>
#include <fcntl.h>
#include <stdio.h>

int dac_put(int fd,int chan,int data);
int dac_get(int fd,int chan,int *data);
int dac_getchinfo(int fd,int chan,dac_chinfo *it);
int dac_getinfo(int fd,dac_device *it);

extern inline int dac_reset(int dac)
{
	return ioctl(dac,DAC_RESET,0);
}

extern inline int dac_init(char *fn)
{
	return open(fn,O_RDWR);
}

extern inline int dac_exec(int dac,int pc)
{
	return ioctl(dac,DAC_EXEC,pc);
}

int dac_memcpy_to(int dac,void *src,int dest,int nbytes);
int dac_memcpy_from(int dac,int src,void *dest,int nbytes);
int dac_memset(int dac,int dest,int nbytes,int val);

int read_coff(FILE *it,int dac,int *entry_pc);
int load_and_run(int dac,char *fn);

#endif

