
#include <linux/errno.h>
#include <linux/kernel.h>
#include <linux/sched.h>
#include <linux/fcntl.h>
#include <linux/timer.h>
#include <linux/delay.h>
#include <linux/ioport.h>
#include <linux/mm.h>
#include <asm/io.h>
#include <dac.h>

dac_devinit dummy_init,
	dt2811_init,
	dt2814_init,
	dt282x_init,
	d8255_init,
	ssc31_init;

dac_devinit *dac_devinits[]={
#ifdef CONFIG_DUMMY
/* dummy driver */
	dummy_init,
#endif
#ifdef CONFIG_DT2811
/* Data Translation DT2811 board */
	dt2811_init,
#endif
#ifdef CONFIG_DT2814
/* Data Translation DT2814 board */
	dt2814_init,
#endif
#ifdef CONFIG_DT282x
/* Data Translation DT2821 series boards */
	dt282x_init,
#endif
#ifdef CONFIG_8255
/* generic 8255 */
	d8255_init,
#endif
#ifdef CONFIG_SSC31
/* Spectrum Signal Processing, Inc. PC/C31 Real Time Application board */
	ssc31_init,
#endif
	NULL
};

const int dac_maxinits=sizeof(dac_devinits)/sizeof(dac_devinit)-1;

