/*
 * dummy driver
 * David A. Schleef
 */

#include <linux/kernel.h>
#include <linux/sched.h>
#include <linux/mm.h>
#include <linux/malloc.h>
#include <linux/errno.h>
#include <linux/ioport.h>
#include <linux/delay.h>
#include <linux/interrupt.h>
#include <linux/timex.h>
#include <linux/timer.h>
#include <asm/io.h>
#include <dac.h>


dac_devinit dummy_init;
int dummy_rem(dac_device *dev);

int dummy_input(dac_device *dev,dac_s *it);
int dummy_output(dac_device *dev,dac_s *it);

int dummy_init(dac_device *dev,dac_devconfig *it)
{
	int i,irqs,irq;
	long flags;

	if(strcmp("dummy",it->name))
		return 0;

	printk("dac%d: dummy: ",dev->minor);
	
	dev->chan=2;

	dev->chinfo=kmalloc(dev->chan*sizeof(dac_chinfo),GFP_KERNEL);
	if(!dev->chinfo){
		return -ENOMEM;
	}

	dev->chinfo[0].flags=DAC_ANALOG|DAC_INPUT;
	dev->chinfo[0].bits=16;
	dev->chinfo[0].zero=0.0;
	dev->chinfo[0].delta=10.0/65536;
	dev->chinfo[0].trig=dummy_input;

	dev->chinfo[1].flags=DAC_ANALOG|DAC_OUTPUT;
	dev->chinfo[1].bits=16;
	dev->chinfo[1].zero=0.0;
	dev->chinfo[1].delta=10.0/65536;
	dev->chinfo[0].trig=dummy_output;

	dac_initbuf(&dev->rdbuf);

	dev->rem=dummy_rem;

	return 1;
}


int dummy_rem(dac_device *dev)
{
	printk("dac%d: dummy: remove\n",dev->minor);
	
	kfree(dev->chinfo);

	dac_freebuf(&dev->rdbuf);
	
	return 0;
}

int dummy_input(dac_device *dev,dac_s *it)
{
	it->data=1;
	return 0;
}

int dummy_output(dac_device *dev,dac_s *it)
{
	return 0;
}

