#ifndef _LINUX_DT2814_H
#define _LINUX_DT2814_H

/*
 * include file for Data Translation DT2814 driver
 * David Schleef
 */

/*
 * Hard coded data
 */

#define DT2814_BASE 0x220
#define DT2814_RATE 1  /* 1=100 per second */
#define DT2814_MAJOR  60
#define DT2814_NO 16  /* 16 channels */


/*
 * flags
 */

#define DT2814_BUSY 0x0001
#define DT2814_VALID 0x0002
#define DT2814_HIBYTE 0x0004

#define DT2814_OVRFLW 0x0010

struct dt2814_struct{
	int base;
};

struct dt2814_channel_struct{
	unsigned int data;
	int flags;
	struct timer_list timer;
};

#define TIMER(a) (dt2814_channels[( a )].timer)
#define FLAGS(a) (dt2814_channels[( a )].flags)
#define DATA(a) (dt2814_channels[( a )].data)

#define DT2814_DATA (dt2814.base+1)
#define DT2814_STATUS (dt2814.base)
#define DT2814_CONTROL (dt2814.base)

/*
 * function prototypes
 */

extern int dt2814_init(void);

#endif _LINUX_DT2814_H

